<?php

namespace Seventhqueen\Typer;

$featured_posts = typer()->get_featured_posts();

if ( ! $featured_posts || ! $featured_posts->have_posts() ) {
	wp_reset_postdata();

	return;
}

$type = typer()->get_option( 'blog_featured_type' );

typer()->get_template_part( 'template-parts/archive/featured-style/' . $type, null, [ 'featured_posts' => $featured_posts ] );
